$main-color: #659fa1;
.index{
    width: 500px;
    background-color:#659fa1;
    height: 500px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    border-radius: 8px;
}

.loginPanel{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    button{
        width: 100px;
        margin: 3px;
    }
    input{
        width: 200px;
        margin: 3px;
    }
    div{
        width: 400px;
        margin: 3px;
    }
    p{
        cursor: pointer;
        color:white;
    }
}

body{
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #35363A;
    height: 100vh;
}

.registerPanel{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    button{
        width: 100px;
        margin: 3px;
    }
    input{
        width: 200px;
        margin: 3px;
    }
    div{
        width: 400px;
        margin: 3px;
    }
}

.chatroom{
    border: 2px #659fa1 solid;
    padding: 2px;
    border-radius: 8px;
    width: 600px;
    height: 600px;
    display: flex;
    flex-direction: row;
    color: white;
    .mainConversation{
        border-left: 2px solid $main-color;
    }
    .conversationSend{
        display: flex;
        justify-content: center;
        align-items: center;
        background-color: #141A1E;
        border-radius: 8px;
        height: 40px;

        button{
            background-color: $main-color;
            border-top: none;
            border-left: none;
            height: 30px;
            border-radius: 8px;
        }
        input{
            border-radius: 8px;
            height: 24px;
        }
    }
    .conversationWindow{
        background-color: #22282B;
        width: 330px;
        height: 544px;
        overflow: scroll;
        
        .conversationList{
            margin: 3px;
            display: flex;
            flex-direction: column;

            .rightMessage{
                margin-left:auto;
                color: white;
                display: flex;
                justify-content: flex-end;
                word-break: break-word;
                background-color: $main-color;
                padding: 5px;
                border-radius: 8px;

            }
            .leftMessage{
                color: white;
                display: flex;
                justify-content: flex-start;
                word-break: break-word;
                margin-right: auto;
                background-color: rgb(65, 63, 63);
                padding: 5px;
                border-radius: 8px;
            }
        }
    }
    
}

.mainList{
    width: 280px;
    display: flex;
    flex-direction: column;
    align-items:center;
    background-color: #141A1E;
    // background-color: #0C1013;
    
}

.searchPanel{
    .addFriend{
        z-index: 100;
        position: fixed;
        background-color: grey;
    }
    button{
        background-color: $main-color;
        border-top: none;
        border-left: none;
        height: 21px;
    }
}

.conversationBox{
    color: white;
    border-top: 1px #35383a solid;
    border-bottom: 1px #35383a solid;
    width: 250px;
    background-color: #141A1E;
    .content{
        white-space: nowrap;
        overflow: hidden;
        width: 230px;
        text-overflow: ellipsis;
    }
}

